
Katello - Feature #24105

Debian repository signature-verification

06/28/2018 01:41 PM - Markus Bucher

Status: Closed   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello 3.10.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/748
https://github.com/Katello/runcible/pull/20
Description

Adding fingerprints of gpg-keys used to sign a debian repository to the deb-repository settings.

see PR

Associated revisions

Revision 93296fd6 - 08/28/2018 03:19 PM - Markus Bucher

Fixes #24105 - Add deb_importer options

for verifying repository signatures

Revision a0e0f89c - 11/20/2018 12:56 PM - Markus Bucher

Fixes #24105 - Add key fingerprint for deb-repo

History

#1 - 06/28/2018 01:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#2 - 06/28/2018 01:49 PM - Markus Bucher

- Pull request https://github.com/Katello/runcible/pull/205 added

#3 - 06/29/2018 03:13 PM - Markus Bucher

Debian repositories should be verified for authenticity.

A good way to do that is to add the GPG-key that was used to sign a debian-repo to the content-credentials.

By adding a GPG-key select-field to deb-repository settings, the correct key can be selected.

#4 - 08/22/2018 05:42 PM - Andrew Kofink

- Triaged changed from No to Yes

- Target version set to Katello 3.9.0

#5 - 10/31/2018 06:14 PM - Jonathon Turel

- Target version changed from Katello 3.9.0 to Katello 3.10.0

#6 - 11/20/2018 01:01 PM - Markus Bucher

- Status changed from Ready For Testing to Closed

Applied in changeset katello|a0e0f89c18fe3e9a424b20f616ca682d2661353e.
